aboutsummaryrefslogtreecommitdiffstats
path: root/test/io-006.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/io-006.sh')
-rwxr-xr-xtest/io-006.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/io-006.sh b/test/io-006.sh
new file mode 100755
index 0000000..4184d9f
--- /dev/null
+++ b/test/io-006.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+dir=$(mktemp -d)
+
+CALCURSE=$(readlink -f "$CALCURSE")
+cd "$dir"
+(unset -v HOME XDG_DATA_HOME XDG_CONFIG_HOME; "$CALCURSE" -a)
+[ -f "$dir/.calcurse/apts" ] && [ -f "$dir/.calcurse/conf" ] && failed=0 || failed=1
+
+rm -rf "$dir"
+exit "$failed"